<?php
/*
 +----------------------------------------------------------------------+
 | Copyright (C) 2006 Andreas Braun                                   	|
 |									|
 | This program is free software. You can redistribute it		|
 | and/or modify it under the terms of the GNU General Public License	|
 | as published by the Free Software Foundation; either version 2       |
 | of the License, or (at your option) any later version.               |
 |                                                                      |
 | This program is distributed in the hope that it will be useful, but  |
 | WITHOUT ANY WARRANTY; without even the implied warranty of     	|
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 | GNU General Public License for more details.     			|
 |                    							|
 +----------------------------------------------------------------------+
*/


//----- CONSTANTS FOR: cc_reports.php -----


//$templates		- array, for dropdown menu
//			- contains all names of available templates by taking into account user's realm
if(!re_admin()) {
    $templates = db_fetch_assoc('SELECT * FROM reportit_templates WHERE user_id =' . my_id());
}else {
    $templates = db_fetch_assoc('SELECT * FROM reportit_templates');
}

if(!$templates) {
    $templates['0'] = '- No template available -';
}else {
    foreach($templates as $key => $value) {
	$tmp[$templates[$key]['id']] = $templates[$key]['description'];
    }
    $templates = $tmp;
    unset($tmp);
}


// $timespans		- array, for dropdown menu
//			- contains preset values for selecting the report timespan
$timespans = array( 'Today',
		    'Last 1 Day',
		    'Last 2 Days',
		    'Last 3 Days',
		    'Last 4 Days',
		    'Last 5 Days',
		    'Last 6 Days',
		    'Last 7 Days',
		    'Last 14 Days',
		    'Last 21 Days',
		    'Last 28 Days',
		    'Current Month',
		    'Last Month',
		    'Last 2 Months',
		    'Last 3 Months',
		    'Last 4 Months',
		    'Last 5 Months',
		    'Last 6 Months',
		    'Current Year',
		    'Last Year',
		    'Last 2 Years'
);


//Schedule frequency
$frequency = array( 'daily', 'weekly', 'monthly', 'quarterly', 'yearly');

?>