<?php
/*
 +----------------------------------------------------------------------+
 | Copyright (C) 2006 Andreas Braun                                   	|
 |									|
 | This program is free software. You can redistribute it		|
 | and/or modify it under the terms of the GNU General Public License	|
 | as published by the Free Software Foundation; either version 2       |
 | of the License, or (at your option) any later version.               |
 |                                                                      |
 | This program is distributed in the hope that it will be useful, but  |
 | WITHOUT ANY WARRANTY; without even the implied warranty of     	|
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 | GNU General Public License for more details.     			|
 |                    							|
 +----------------------------------------------------------------------+
*/


//----- CONSTANTS FOR: cc_templates.php ---


// $calc_function	- array, for dropdown menu
//			- contains all names of calculation functions
$calc_functions = db_fetch_assoc("SELECT * FROM reportit_functions");
foreach($calc_functions as $key => $value) {
    $tmp[] = $calc_functions[$key]['description'];
}
$calc_functions = $tmp;
unset($tmp);


// $interface_types	- array, for dropdown menu
//						- contains all names of "interface types" (incl. CPU) 
$interface_types = db_fetch_assoc("SELECT type FROM reportit_types");
foreach($interface_types as $key => $value) {
    $tmp[] = $interface_types[$key]['type'];
}
$interface_types = $tmp;
unset($tmp);


// $thresholds		- array, for dropdown menu
//			- contains preset values for setting the threshold factor.
//			  For 0,5% till 10% the increment is set to 0,5;
//			  for 10% till 95 it is set to 5
$thresholds = array();
for($i=0.5; $i<10.5; $i+=0.5) {
    $thresholds[] = floatval($i);
}
for($i=15; $i<100; $i+=5) {
    $thresholds[] = floatval($i);
}
 
unset($i);

?>