<?php
/*
 +----------------------------------------------------------------------+
 | Copyright (C) 2006 Andreas Braun                                   	|
 |									|
 | This program is free software. You can redistribute it		|
 | and/or modify it under the terms of the GNU General Public License	|
 | as published by the Free Software Foundation; either version 2       |
 | of the License, or (at your option) any later version.               |
 |                                                                      |
 | This program is distributed in the hope that it will be useful, but  |
 | WITHOUT ANY WARRANTY; without even the implied warranty of     	|
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 | GNU General Public License for more details.     			|
 |									|
 +----------------------------------------------------------------------+
*/


// For using another additional variables this code has been written to create 
// an array that make it easy to integrate them into cc_template.php automatically.

// Set preconditions
// $form_array_vars	- multidimensional array
//			- contains all form datas of existing variables
$form_array_vars = array();

//----- VARIABLE: threshold -----
// Settings for variable "threshold"
for( $i=0.01; $i<0.5 ; $i+=0.01) {$threshold_factors[] = strval($i);}
for( $i=0.5 ; $i<10.5; $i+=0.5 ) {$threshold_factors[] = strval($i);}
for( $i=15  ; $i<100 ; $i+=5   ) {$threshold_factors[] = strval($i);}
unset($i);
$threshold = array( 'friendly_name' 	=> 'Threshold (in percent)',
		    'method' 		=> 'drop_array',
		    'description'	=> 'Threshold value will only be used by calculation function "threshold"',
		    'value'		=> '',
		    'array'		=> $threshold_factors);
$form_array_vars += array('threshold' => $threshold);
//-------------------------------
//TAKE CARE ABOUT THAT THERE ARE NO BLANK LINES AT THE END OF THIS FILE!
?>