<?php
/*
 +----------------------------------------------------------------------+
 | Copyright (C) 2006 Andreas Braun                                   	|
 |									|
 | This program is free software. You can redistribute it		|
 | and/or modify it under the terms of the GNU General Public License	|
 | as published by the Free Software Foundation; either version 2       |
 | of the License, or (at your option) any later version.               |
 |                                                                      |
 | This program is distributed in the hope that it will be useful, but  |
 | WITHOUT ANY WARRANTY; without even the implied warranty of     	|
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        |
 | GNU General Public License for more details.     			|
 |                    							|
 +----------------------------------------------------------------------+
*/


//----- CONSTANTS FOR: cc_rrdlist.php -----


// $timezone		- array, for dropdown menu
//			- contains the $keys from $timezones array. 
foreach ($timezones as $key => $value) {
    $timezone[]=$key;
}


// $weekday		- array, for dropdown menu
//			- contains the names of all weekdays
$weekday = array('Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday');


// $shifttime		- array, for dropdown menu
//			- contains all possible timestamps of a day by using steps of 5 minutes
$shifttime = array();
    for($i=0; $i<24; $i++) {
	$hour=$i;
	if($hour<10) {$hour = '0' . $hour;}
	
	    for($j=0; $j<60; $j+=5) {
		$minutes = $j;
		if($minutes<10) {$minutes = '0' . $minutes;}
		$shifttime[]= "$hour:$minutes:00";
	    }
	
    }
    $shifttime2  = $shifttime;
    $shifttime2[]= "24:00:00";
    
unset($i);
unset($j);

?>